<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
	<style>
		.form-control {margin : 5px 1px;}
	</style>
</head>

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

    <th:block th:fragment="content">

        <h1 class="mt-4" style="border-bottom: double 3px gray; padding-bottom: 5px; width: 75%; font-weight:bold; text-align: center">[[${dto.showName}]]</h1>

        <div class="form-group">
            <label style="font-weight:bold;">공연 기간 및 시간</label><br>
            <input type="text" class="form-control" name="startDate" th:value="${#temporals.format(dto.startDate, 'yyyy-MM-dd')}" style="display:inline; margin-right:10px; width:120px;" readonly>
            <p style="display:inline; margin-right:10px;"> ~ </p>
            <input type="text" class="form-control" name="endDate" th:value="${#temporals.format(dto.endDate, 'yyyy-MM-dd')}" style="display:inline; width:120px;" readonly><br>
            <textarea style="margin-top:3px;width: 75%" class="form-control" rows="3" name="timeExplanation" readonly>[[${dto.timeExplanation}]]</textarea>
        </div>
        <div class="form-group">
            <label style="font-weight:bold;">출연진</label><br>
            <input style="width: 75%" type="text" class="form-control" name="artists" th:value="${dto.artists}" readonly>
        </div>     
        <div class="form-group">
            <label style="font-weight:bold;">러닝타임</label><br>
            <input style="width: 75%" type="text" class="form-control" name="runningTime" th:value="${dto.runningTime}"  readonly>
        </div>
        <div class="form-group">
            <label style="font-weight:bold;">장소</label><br>
            <input style="width: 75%" type="text" class="form-control" name="showstageName" th:value="${dto.showstageName}" th:onClick="|location.href='@{/showstage/read(no = ${dto.stageNo}, page= ${list.number + 1})}'|" readonly>
        </div>
        <div class="form-group">
            <label style="font-weight:bold;">상세 주소</label><br>
            <input style="width: 75%" type="text" class="form-control" name="address" th:value="${dto.address}"  readonly>
        </div>  
        <div class="form-group">
            <label style="font-weight:bold;">비고</label><br>
            <textarea style="width: 75%" class="form-control" rows="5" name="explanation" readonly>[[${dto.explanation}]]</textarea>
        </div>
		
		<form th:action="@{/show/remove(showNo = ${dto.showNo})}" th:method="post">
        <a th:href="@{/show/modify(showNo = ${dto.showNo})}">
        	<button sec:authorize="hasRole('ROLE_ADMIN')" type="button" class="btn btn-primary">수정</button>
        </a>

        <button sec:authorize="hasRole('ROLE_ADMIN')" type="submit" class="btn btn-danger removeBtn">삭제</button>
        
        <a th:href="@{/show/calendar}">
        	<button type="button" class="btn btn-info">일정으로</button>
        </a>
        </form>
   
    </th:block>

</th:block>
